Loading...
Searching...
No Matches
juce::dsp::Phaser< SampleType > Class Template Reference

## Detailed Description

template<typename SampleType>
class juce::dsp::Phaser< SampleType >

A 6 stage phaser that modulates first order all-pass filters to create sweeping notches in the magnitude frequency response.

This audio effect can be controlled with standard phaser parameters: the speed and depth of the LFO controlling the frequency response, a mix control, a feedback control, and the centre frequency of the modulation.

The documentation for this class was generated from the following file:

- juce_dsp/widgets/juce_Phaser.h

## Public Member Functions

| Phaser ()
| Constructor.
void | setRate (SampleType newRateHz)
| Sets the rate (in Hz) of the LFO modulating the phaser all-pass filters.
void | setDepth (SampleType newDepth)
| Sets the volume (between 0 and 1) of the LFO modulating the phaser all-pass filters.
void | setCentreFrequency (SampleType newCentreHz)
| Sets the centre frequency (in Hz) of the phaser all-pass filters modulation.
void | setFeedback (SampleType newFeedback)
| Sets the feedback volume (between -1 and 1) of the phaser.
void | setMix (SampleType newMix)
| Sets the amount of dry and wet signal in the output of the phaser (between 0 for full dry and 1 for full wet).
void | prepare (const ProcessSpec &spec)
| Initialises the processor.
void | reset ()
| Resets the internal state variables of the processor.
template<typename ProcessContext>
void | process (const ProcessContext &context) noexcept
| Processes the input and output samples supplied in the processing context.

## Constructors and Destructors

## Phaser()

template<typename SampleType>

juce::dsp::Phaser< SampleType >::Phaser | ( |  | ) |

Constructor.

## Member Functions

## setRate()

template<typename SampleType>

void juce::dsp::Phaser< SampleType >::setRate | ( | SampleType | newRateHz | ) |

Sets the rate (in Hz) of the LFO modulating the phaser all-pass filters.

This rate must be lower than 100 Hz.

## setDepth()

template<typename SampleType>

void juce::dsp::Phaser< SampleType >::setDepth | ( | SampleType | newDepth | ) |

Sets the volume (between 0 and 1) of the LFO modulating the phaser all-pass filters.

## setCentreFrequency()

template<typename SampleType>

void juce::dsp::Phaser< SampleType >::setCentreFrequency | ( | SampleType | newCentreHz | ) |

Sets the centre frequency (in Hz) of the phaser all-pass filters modulation.

## setFeedback()

template<typename SampleType>

void juce::dsp::Phaser< SampleType >::setFeedback | ( | SampleType | newFeedback | ) |

Sets the feedback volume (between -1 and 1) of the phaser.

Negative can be used to get specific phaser sounds.

## setMix()

template<typename SampleType>

void juce::dsp::Phaser< SampleType >::setMix | ( | SampleType | newMix | ) |

Sets the amount of dry and wet signal in the output of the phaser (between 0 for full dry and 1 for full wet).

## prepare()

template<typename SampleType>

void juce::dsp::Phaser< SampleType >::prepare | ( | const ProcessSpec & | spec | ) |

Initialises the processor.

## reset()

template<typename SampleType>

void juce::dsp::Phaser< SampleType >::reset | ( |  | ) |

Resets the internal state variables of the processor.

## process()

template<typename SampleType>
template<typename ProcessContext>

void juce::dsp::Phaser< SampleType >::process | ( | const ProcessContext & | context | ) |

inline noexcept

Processes the input and output samples supplied in the processing context.

References juce::dsp::AudioBlock< SampleType >::getSubBlock(), jassert, juce::jlimit(), juce::jmin(), and juce::mapToLog10().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited